javax.swing.plaf.basic

## Class BasicTextUI.BasicHighlighter

- java.lang.Object
- - javax.swing.text.LayeredHighlighter
  - - javax.swing.text.DefaultHighlighter
    - - javax.swing.plaf.basic.BasicTextUI.BasicHighlighter

All Implemented Interfaces:
  UIResource, Highlighter

Enclosing class:
  BasicTextUI

    public static class BasicTextUI.BasicHighlighter
    extends DefaultHighlighter
    implements UIResource

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.text.DefaultHighlighter

`DefaultHighlighter.DefaultHighlightPainter`

### Nested classes/interfaces inherited from class javax.swing.text.LayeredHighlighter

`LayeredHighlighter.LayerPainter`

### Nested classes/interfaces inherited from interface javax.swing.text.Highlighter

`Highlighter.Highlight, Highlighter.HighlightPainter`

### Field Summary

### Fields inherited from class javax.swing.text.DefaultHighlighter

`DefaultPainter`

### Constructor Summary

Constructors
Constructor and Description
`BasicTextUI.BasicHighlighter()`

### Method Summary

### Methods inherited from class javax.swing.text.DefaultHighlighter

`addHighlight, changeHighlight, deinstall, getDrawsLayeredHighlights, getHighlights, install, paint, paintLayeredHighlights, removeAllHighlights, removeHighlight, setDrawsLayeredHighlights`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicTextUI.BasicHighlighter

    public BasicTextUI.BasicHighlighter()

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.